__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import os.path

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy CLI Server Apache Config"

    def createRuntime(self):
        httpdDir = self.cfg['HTTPD_CONF_D_DIR']
        svcDir   = self.cfg['CLISERVER_WEB_SVC_DIR']
        app.util.runSystem("cp %s/resource/httpd/cliserver.conf %s " %
             (svcDir, httpdDir), self.log)

        # Remove old config file if it exists.
        if os.path.exists("%s/cliserv.conf" % httpdDir):
            app.util.runSystem("rm -f %s/cliserv.conf" % httpdDir, self.log);
