__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseInitializationScript
import app.util
import os

class InitializationScript(BaseInitializationScript):

    scriptDescription = "Installing CLI Server Branding Hooks"

    def initialize(self):
        hooksDir   = "%s/branding/hooks" % self.cfg['SUBVERSION_BRANDING_REPOSITORY_BASE']
        scriptDir  = "/opt/collabnet/teamforge/service/cliserver-env/resource/scripts"
        apacheUser = self.cfg['HTTPD_USER']

        app.util.runSystem("perl %s/install.pl %s" % (scriptDir,hooksDir), self.log)
        app.util.runSystem("chmod 755 %s/update.pl" % scriptDir, self.log)
        app.util.runSystem("su -c '%s/update.pl' %s" % (scriptDir,apacheUser), self.log)
