__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import app.batch
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Install CLI Jobs"

    def bootstrap(self):
        svcDir   = self.cfg['CLISERVER_CRON_SVC_DIR']
        dataDir  = self.cfg['DATA_DIR']

        app.util.runSystem("rsync -r %s/resource/apps/cron %s/cliserver/app/" % (svcDir, dataDir), self.log)

        
