__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "setsebool allow_execmod"

    def createRuntime(self):
        if self.cfg['SELINUX_ENABLED'] == "true":
            if os.path.exists("/usr/sbin/setsebool"):
                app.util.runSystem("/usr/sbin/setsebool allow_execmod 1", self.log)
                app.util.runSystem("/usr/sbin/setsebool httpd_unified 1", self.log)
