import os
import app.servicecontrol
import app.defaults
import app.util

class ServiceController(app.servicecontrol.ServiceController):

    def isBootstrapped(self):
        config  = app.util.getRuntimeConfiguration()
        dataDir = config['DATA_DIR']

        if os.path.exists("%s/cliserver/app" % dataDir):
            return True
        else:
            return False

    def getLocalContext(self):
        return ['tf_clireports_rw_t']

    def getCustomModuleName(self):
        return 'cliserver'

