#!/usr/bin/perl

use File::Basename;

my $hooksDir  = shift(@ARGV);
my $scriptDir = dirname($0);
my $update    = "$scriptDir/update.pl";
my %old = map { $_, 1 } (
    '/opt/collabnet/teamforge/add-ons/CN-cliserver/scripts/update.pl',
    "perl $update",
    $update,
    );
my @lines;

open(HOOK, "$hooksDir/post-commit");
@lines = map { chomp; $_ } <HOOK>;
close(HOOK);

open(HOOK, ">$hooksDir/post-commit");
for my $line (@lines) {
    printf HOOK "%s\n", $line unless( $old{ $line } );
}
printf HOOK "perl %s\n", $update;
close(HOOK);
