from app.scripts import BaseMigrationScript

import os
import app.util
from glob import glob

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Install Event Handler"

    def migrate(self):
        svcDir   = self.cfg['CLISERVER_EVENT_SVC_DIR']
        dataDir  = self.cfg['DATA_DIR']
        handler  = 'CN-cliserver.jar'

        app.util.runSystem("cp -f %s/resource/handler/%s %s/events/" % (svcDir,handler,dataDir),self.log)
