__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import app.batch
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Send protocols to jail"

    def bootstrap(self):
        dataDir = self.cfg['DATA_DIR']
        etcDir  = "%s/cliserver/etc" % dataDir

        if not os.path.exists(etcDir):
            app.util.runSystem("mkdir -p %s" % etcDir, self.log)

        app.util.runSystem("cp /etc/protocols %s" % etcDir, self.log)

