from app.scripts import BaseMigrationScript

import os
import app.util
from glob import glob

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Upgrade CLI Apps"

    def migrate(self):
        svcDir   = self.cfg['CLISERVER_WEB_SVC_DIR']
        dataDir  = self.cfg['DATA_DIR']

        app.util.runSystem("rsync -r %s/resource/apps/server %s/cliserver/app/" % (svcDir, dataDir), self.log)
        app.util.runSystem("rsync -r %s/resource/apps/webcli %s/cliserver/app/" % (svcDir, dataDir), self.log)
