from app.scripts import BaseMigrationScript

import os
import app.util
from glob import glob

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Upgrade CLI Jobs"

    def migrate(self):
        svcDir   = self.cfg['CLISERVER_CRON_SVC_DIR']
        dataDir  = self.cfg['DATA_DIR']

        app.util.runSystem("rsync -r %s/resource/apps/cron %s/cliserver/app/" % (svcDir, dataDir), self.log)
