__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import app.batch
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Install Event Handler"

    def bootstrap(self):
        svcDir   = self.cfg['CLISERVER_EVENT_SVC_DIR']
        dataDir  = self.cfg['DATA_DIR']
        handler  = 'CN-cliserver.jar'
        config   = 'cliserver.properties'

        app.util.runSystem("cp -f %s/resource/handler/%s %s/events/" % (svcDir,handler,dataDir),self.log)
        app.util.runSystem("cp -f %s/resource/etc/%s     %s/etc/"    % (svcDir,config, dataDir),self.log)
