import os
import app.servicecontrol
import app.defaults
import app.util

class ServiceController(app.servicecontrol.ServiceController):

    def isBootstrapped(self):
        config  = app.util.getRuntimeConfiguration()
        dataDir = config['DATA_DIR']
        handler  = 'CN-cliserver.jar'

        if os.path.exists("%s/events/%s" % (dataDir,handler)):
            return True
        else:
            return False
