__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Preserve FCGID Run Directory"

    def createRuntime(self):
        httpdGroup = self.cfg['HTTPD_GROUP']
        httpdUser  = self.cfg['HTTPD_USER']
        controlFile = '/usr/lib/tmpfiles.d/mod_fcgid.conf';
        
        if os.path.exists(controlFile):
            file = open(controlFile,"w")
            file.write("d	/run/mod_fcgid		-	%s	%s" % (httpdUser,httpdGroup))
            file.close()
